Bug 45464 - download percentage computed wrong with source RPM
Summary: download percentage computed wrong with source RPM
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-21 21:13 UTC by Carl Schaefer
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 21:13:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Carl Schaefer 2001-06-21 21:13:41 UTC
Description of Problem:

I have up2date configured to download source RPMs along with updates.
After downloading the binary part of the update, these messages appear
in the xterm where I started up2date, about every second:

Gtk-CRITICAL **: file gtkprogress.c: line 518
(gtk_progress_set_percentage): assertion `percentage >= 0 && percentage <=
1.0' failed.

while the source RPM downloads.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:

I'm running up2date version 2.5.4

Comment 1 Adrian Likins 2001-07-05 23:34:58 UTC
This seems to work correctly in the next version of the package. Not
sure what exactly fixed it, but a good size chunk of the gui and
networking code has been rewritten.


Note You need to log in before you can comment on or make changes to this bug.